# -*- coding: utf-8 -*-
"""
Created on Tue Apr 16 19:44:22 2019

@author: JCxie
"""
import sklearn
from sklearn import naive_bayes
import matplotlib.pyplot as plt
from sklearn.model_selection import train_test_split
from sklearn import datasets
import pandas as pd
import numpy


def getData_1():

    iris = datasets.load_iris()
    X = iris.data   #样本特征矩阵，150*4矩阵，每行一个样本，每个样本维度是4
    y = iris.target #样本类别矩阵，150维行向量，每个元素代表一个样本的类别


    df1=pd.DataFrame(X, columns =['SepalLengthCm','SepalWidthCm','PetalLengthCm','PetalWidthCm'])
    df1['target']=y

    return df1

df=getData_1()
X_train, X_test, y_train, y_test = train_test_split(df.iloc[:,0:3],df['target'], test_size=0.3, random_state=42)
model =  naive_bayes.GaussianNB()  # 高斯贝叶斯
model.fit(X_train,y_train)
predict=model.predict(X_test)

a=0
for i in range(len(predict)):
    if predict[i] == y_test.values[i]:
        a=a+1


score=float(a)/len(predict)
print ('贝叶斯准确率:%3f' %(score))

print ('贝叶斯:{:.3f}'.format(model.score(X_test, y_test)))
